## org.eclipse.jst.jsf.facesconfig.emf
Interface ConverterType

All Known Implementing Classes:
  ConverterTypeImpl

    public interface ConverterType

A representation of the model object 'Converter Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Converter Id`
- `Converter For Class`
- `Converter Class`
- `Attribute`
- `Property`
- `Converter Extension`
- `Id`

See Also:
  `FacesConfigPackage.getConverterType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttribute()` Returns the value of the 'Attribute' containment reference list.
`ConverterClassType` `getConverterClass()` Returns the value of the 'Converter Class' containment reference
`EList` `getConverterExtension()` Returns the value of the 'Converter Extension' containment reference list.
`ConverterForClassType` `getConverterForClass()` Returns the value of the 'Converter For Class' containment reference
`ConverterIdType` `getConverterId()` Returns the value of the 'Converter Id' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getProperty()` Returns the value of the 'Property' containment reference list.
`void` `setConverterClass(ConverterClassType value)` Sets the value of the '`Converter Class`' containment reference
`void` `setConverterForClass(ConverterForClassType value)` Sets the value of the '`Converter For Class`' containment reference
`void` `setConverterId(ConverterIdType value)` Sets the value of the '`Converter Id`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Icon()`

### getConverterId

    ConverterIdType getConverterId()

  Returns the value of the 'Converter Id' containment reference.

  If the meaning of the 'Converter Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Converter Id' containment reference.
  See Also:
    `setConverterId(ConverterIdType)`, `FacesConfigPackage.getConverterType_ConverterId()`

### setConverterId

    void setConverterId(ConverterIdType value)

  Sets the value of the '`Converter Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter Id' containment reference.
  See Also:
    `getConverterId()`

### getConverterForClass

    ConverterForClassType getConverterForClass()

  Returns the value of the 'Converter For Class' containment reference.

  If the meaning of the 'Converter For Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Converter For Class' containment reference.
  See Also:
    `setConverterForClass(ConverterForClassType)`, `FacesConfigPackage.getConverterType_ConverterForClass()`

### setConverterForClass

    void setConverterForClass(ConverterForClassType value)

  Sets the value of the '`Converter For Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter For Class' containment reference.
  See Also:
    `getConverterForClass()`

### getConverterClass

    ConverterClassType getConverterClass()

  Returns the value of the 'Converter Class' containment reference.

  If the meaning of the 'Converter Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Converter Class' containment reference.
  See Also:
    `setConverterClass(ConverterClassType)`, `FacesConfigPackage.getConverterType_ConverterClass()`

### setConverterClass

    void setConverterClass(ConverterClassType value)

  Sets the value of the '`Converter Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter Class' containment reference.
  See Also:
    `getConverterClass()`

### getAttribute

    EList getAttribute()

  Returns the value of the 'Attribute' containment reference list. The list contents are of type `AttributeType`.

  If the meaning of the 'Attribute' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Attribute()`

### getProperty

    EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `PropertyType`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_Property()`

### getConverterExtension

    EList getConverterExtension()

  Returns the value of the 'Converter Extension' containment reference list. The list contents are of type `ConverterExtensionType`.

  If the meaning of the 'Converter Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Converter Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getConverterType_ConverterExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getConverterType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`